/**
 * Copyright (c) 2018-2022 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { Color } from '../../mol-util/color';
import { Unit, ElementIndex } from '../../mol-model/structure';
import { ColorTheme } from '../color';
import { ParamDefinition as PD } from '../../mol-util/param-definition';
import { ThemeDataContext } from '../theme';
export declare const MoleculeTypeColorThemeParams: {
    saturation: PD.Numeric;
    lightness: PD.Numeric;
    colors: PD.Group<PD.Normalize<{
        water: Color;
        ion: Color;
        protein: Color;
        rna: Color;
        dna: Color;
        pna: Color;
        saccharide: Color;
        lipid: Color;
    }>>;
};
export declare type MoleculeTypeColorThemeParams = typeof MoleculeTypeColorThemeParams;
export declare function getMoleculeTypeColorThemeParams(ctx: ThemeDataContext): {
    saturation: PD.Numeric;
    lightness: PD.Numeric;
    colors: PD.Group<PD.Normalize<{
        water: Color;
        ion: Color;
        protein: Color;
        rna: Color;
        dna: Color;
        pna: Color;
        saccharide: Color;
        lipid: Color;
    }>>;
};
declare type MoleculeTypeColorThemeProps = PD.Values<MoleculeTypeColorThemeParams>;
export declare function moleculeTypeColor(props: MoleculeTypeColorThemeProps, unit: Unit, element: ElementIndex): Color;
export declare function MoleculeTypeColorTheme(ctx: ThemeDataContext, props: PD.Values<MoleculeTypeColorThemeParams>): ColorTheme<MoleculeTypeColorThemeParams>;
export declare const MoleculeTypeColorThemeProvider: ColorTheme.Provider<MoleculeTypeColorThemeParams, 'molecule-type'>;
export {};
